Bug 105526 - New port: dns/powerdns-recursor An advanced DNS recursor
Summary: New port: dns/powerdns-recursor An advanced DNS recursor
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Emanuel Haupt
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-11-14 13:50 UTC by sten
Modified: 2006-11-16 00:04 UTC (History)
0 users

See Also:


Attachments
file.shar (7.61 KB, text/plain)
2006-11-14 13:50 UTC, sten
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description sten 2006-11-14 13:50:01 UTC
powerdns recursor is a high performance,  simple  and  secure recursing
nameserver.  It currently powers over two million internet connections.

License: GPL V2

WWW: http://www.powerdns.com/
Comment 1 Emanuel Haupt freebsd_committer 2006-11-15 21:49:16 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ehaupt

I will take care of it.
Comment 2 dfilter service freebsd_committer 2006-11-15 23:59:24 UTC
ehaupt      2006-11-15 23:59:16 UTC

  FreeBSD ports repository

  Modified files:
    dns                  Makefile 
  Added files:
    dns/powerdns-recursor Makefile distinfo pkg-descr pkg-plist 
    dns/powerdns-recursor/files patch-makefile patch-manpages 
                                pdns-recursor.in pkg-message.in 
  Log:
  Add powerdns-recursor 3.1.4, an advanced DNS recursor.
  
  PR:             105526
  Submitted by:   sten at blinkenlights.nl
  
  Revision  Changes    Path
  1.71      +1 -0      ports/dns/Makefile
  1.1       +59 -0     ports/dns/powerdns-recursor/Makefile (new)
  1.1       +3 -0      ports/dns/powerdns-recursor/distinfo (new)
  1.1       +29 -0     ports/dns/powerdns-recursor/files/patch-makefile (new)
  1.1       +58 -0     ports/dns/powerdns-recursor/files/patch-manpages (new)
  1.1       +35 -0     ports/dns/powerdns-recursor/files/pdns-recursor.in (new)
  1.1       +11 -0     ports/dns/powerdns-recursor/files/pkg-message.in (new)
  1.1       +4 -0      ports/dns/powerdns-recursor/pkg-descr (new)
  1.1       +6 -0      ports/dns/powerdns-recursor/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Emanuel Haupt freebsd_committer 2006-11-16 00:00:23 UTC
State Changed
From-To: open->closed

New port added with minor modifications, thanks! 

Modifications: 
- added some pkg-plist magic in order to cleanup unmodified config files 
- respect CC and CXX (if you use gmake you have to pass CC and CXX manually 
to the make environment (MAKE_ENV) 
- indentation/spacing in pkg-descr, removed license information 
- man pages are not optional